Skip to main content
`Ctrl`+`K`

# TaoLineSearchGetType

Gets the current line search algorithm

## Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchGetType(TaoLineSearch ls, TaoLineSearchType *type)

Not Collective

## Input Parameter

- ls - the `TaoLineSearch` context

## Output Parameter

- type - the line search algorithm in effect

## Note

`type` should not be retained for later use as it will be an invalid pointer if the `TaoLineSearchType` of `ls` is changed.

## See Also

`TaoLineSearch`, `TaoLineSearchSetType()`, `TaoLineSearchType`, `PetscObjectTypeCompare()`, `PetscObjectTypeCompareAny()`

## Level

developer

## Location

src/tao/linesearch/interface/taolinesearch.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages